View Issue Details

IDProjectCategoryView StatusLast Update
0000205SnakeoilOSweb-apppublic2018-04-07 18:38
Reporteragent_kithAssigned Toagent_kith 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionreopened 
Product Version1.0.10 
Target Version1.1.0Fixed in Version1.1.0 
Summary0000205: Fix kernel selection bug in snakeoil menu
Description

From JD1:

I'll report some issues here when I don't want to post them. This one applies to Alpha2 and older FW. See if you can replicate it:

When running DSD kernel.
On Squeezelite page do you see any boot kernel listed, without touching the dropdown menu? minor bug; doesn't display DSD kernel when in use but does show it selected in the dropdown menu.

Try entering "noapic" in kernel options, save and restart. Do you still have DSD kernel running? Has noapic been engaged?

Remember that I can only install new kernels with the older FW. I was constantly switching FWs and doing many restarts while working on the native DSD so may have stressed the system. On a couple of occasions, it would auto revert to the original kernel (non-DSD) so I would try to re-install the DSD kernel by:

  1. selecting it on the Snakeoil-Boot kernel drop down menu
  2. press Save
  3. reboot server
    -sometimes my selection in 1. would revert to original kernel before I could press save.
    -other times it would revert to original kernel after pressing save
    -it would install original kernel when I rebooted the machine.

This problem also occurred when I had Native DSD working well and tried to enter "noapic" in kernel options. Snakeoil would keep reverting to original kernel. At no point would it accept DSD kernel + noapic.

I have no idea if noapic started the problem or is unrelated. The problem resolved after some power cycling and giving up on using noapic.

TagsNo tags attached.

Activities

agent_kith

2018-03-25 18:26

administrator   ~0000120

Still have some problems.

Issue History

Date Modified Username Field Change
2018-03-20 09:14 agent_kith New Issue
2018-03-20 09:14 agent_kith Status new => assigned
2018-03-20 09:14 agent_kith Assigned To => agent_kith
2018-03-25 13:08 agent_kith Summary Check the kernel changing in the snakeoil menu is working. => Fix kernel selection bug in snakeoil menu
2018-03-25 13:08 agent_kith Description Updated View Revisions
2018-03-25 14:15 agent_kith Status assigned => closed
2018-03-25 14:15 agent_kith Resolution open => fixed
2018-03-25 14:15 agent_kith Fixed in Version => 1.0.11
2018-03-25 18:26 agent_kith Status closed => feedback
2018-03-25 18:26 agent_kith Resolution fixed => reopened
2018-03-25 18:26 agent_kith Note Added: 0000120
2018-04-01 09:19 agent_kith Target Version 1.0.11 => 1.1.0
2018-04-07 18:38 agent_kith Status feedback => closed
2018-04-07 18:38 agent_kith Fixed in Version 1.0.11 => 1.1.0